Bug 1015335 - mate-desktop obsoletes itself
mate-desktop obsoletes itself
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-desktop (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 20:58 EDT by Jens Petersen
Modified: 2013-10-10 22:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: mate-desktop-1.6.2-0.4.git81c245b.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-10 10:37:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-10-03 20:58:02 EDT
Description of problem:
mate-desktop.spec has "Obsoletes: mate-desktop < %{version}-%{release}".
It should not be necessary or meaningful for packages to obsolete themselves.

This results in yum showing

Installing:
 mate-desktop                   x86_64 1.6.2-0.1.git81c245b.fc19 updates  342 k
     replacing  mate-desktop.x86_64 1.6.1-11.fc19

rather than showing the update under "Updating:".

Version-Release number of selected component (if applicable):
mate-desktop-1.6.2-0.1.git81c245b

Please drop the obsoletes, thanks.
Comment 1 Michael Schwendt 2013-10-04 03:25:21 EDT
> It should not be necessary or meaningful for packages to obsolete themselves.

Not generally, but it may be required for an arch<->noarch change. Doesn't seem to be the case for mate-desktop (unless there's a 3rd party noarch metapackage somewhere).


When this obsoletes tag was added with an unexpanded %version-%release, the changelog comment only added "Update obsoletes and requires field":
http://pkgs.fedoraproject.org/cgit/mate-desktop.git/commit/?id=0438697c263ae8a991c237f5a5b745e16982fcdc
Comment 2 Fedora Update System 2013-10-04 15:10:03 EDT
mate-desktop-1.6.2-0.2.git81c245b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.2-0.2.git81c245b.fc19
Comment 3 Fedora Update System 2013-10-04 15:10:13 EDT
mate-desktop-1.6.2-0.2.git81c245b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.2-0.2.git81c245b.fc20
Comment 4 Fedora Update System 2013-10-04 15:10:26 EDT
mate-desktop-1.6.2-0.2.git81c245b.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.2-0.2.git81c245b.fc18
Comment 5 Fedora Update System 2013-10-05 21:28:39 EDT
Package mate-desktop-1.6.2-0.2.git81c245b.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-desktop-1.6.2-0.2.git81c245b.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18349/mate-desktop-1.6.2-0.2.git81c245b.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-09 21:43:08 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.2-0.4.git81c245b.fc19
Comment 7 Fedora Update System 2013-10-09 21:43:31 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.2-0.4.git81c245b.fc18
Comment 8 Fedora Update System 2013-10-09 21:43:51 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.2-0.4.git81c245b.fc20
Comment 9 Fedora Update System 2013-10-10 10:37:54 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-10-10 22:34:21 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-10 22:35:15 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.